summaryrefslogtreecommitdiff
path: root/init.d/sysctl.Linux.in
diff options
context:
space:
mode:
Diffstat (limited to 'init.d/sysctl.Linux.in')
-rw-r--r--init.d/sysctl.Linux.in14
1 files changed, 11 insertions, 3 deletions
diff --git a/init.d/sysctl.Linux.in b/init.d/sysctl.Linux.in
index 39ce01d..19c22b4 100644
--- a/init.d/sysctl.Linux.in
+++ b/init.d/sysctl.Linux.in
@@ -11,8 +11,16 @@ depend()
start()
{
- [ -e /etc/sysctl.conf ] || return 0
+ local conf= retval=0
ebegin "Configuring kernel parameters"
- sysctl -p >/dev/null
- eend $? "Some errors were encountered"
+ eindent
+ for conf in /etc/sysctl.d/*.conf /etc/sysctl.conf; do
+ if [ -r "$conf" ]; then
+ vebegin "applying $conf"
+ sysctl -p "$conf" >/dev/null
+ veend $? || retval=1
+ fi
+ done
+ eoutdent
+ eend $retval "Some errors were encountered"
}